For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
      • POSTCreate a Browser Fingerprint List
      • POSTCreate a Country List
      • POSTCreate an Email Address List
      • POSTCreate a Geolocation List
      • POSTCreate a Government ID Number List
      • POSTCreate an IP Address List
      • POSTCreate a Name List
      • POSTCreate a Phone Number List
      • POSTCreate a Strings List
      • GETList all Lists
      • GETRetrieve a List
      • DELArchive a List
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceLists

List all Lists

GET
https://api.withpersona.com/api/v1/lists
GET
/api/v1/lists
$curl https://api.withpersona.com/api/v1/lists \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "type": "list/phone-number",
5 "attributes": {
6 "name": "My List",
7 "status": "active",
8 "created-at": "2023-08-30T21:31:06.000Z",
9 "updated-at": "2023-08-30T21:31:06.000Z"
10 },
11 "id": "lst_kRcKDJ4c8wF2AmAghggtYxboX",
12 "relationships": {
13 "list-items": {
14 "data": []
15 }
16 }
17 }
18 ],
19 "links": {
20 "prev": null,
21 "next": "/api/v1/lists?page%5Bafter%5D=lst_3DS1z7bME8vWqqxmdCDqHwLm"
22 }
23}
Returns a list of your organization's lists. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Retrieve a List

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
filterobjectOptional

Response

This endpoint returns a collection List objects.
datalist of objects
An array of Lists
linksobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.